package PureMessage::QueueRunner::Utils;

use strict;
use warnings;

use Carp qw(croak);
use base 'Exporter';
our @EXPORT_OK = qw(xlog_id xlog xdie);

my $logger;
my $log_id = 'queue';

sub xlog_id { $log_id = shift; }

sub xlog {
    unless ($logger) {
        require PureMessage::Logger;
        $logger = PureMessage::Logger->new(
# Turn on to enable logging to syslog:
#            log_to => 'syslog:local', # for logsearch
            ident  => $log_id,
        );
    }
    $logger->log(@_);
}

sub xdie {
    xlog('ERR', shift);
    croak shift;
}

1;
