#!perl

use strict;
use PureMessage::Manager::Request qw(%in);
use PureMessage::Quarantine;

sub raw_message {
    return unless exists $in{row};
    
    my $mstore = PureMessage::Quarantine->new;
    my $msg    = $mstore->message($in{row});
    
    return unless defined $msg;
    return $msg->raw_body();
}

print "Content-Type: text/plain\r\n\r\n";
print raw_message() || "Unable to retrieve message.\n";
